+ Responder ao Tópico



  1. #1

    Thumbs down Problema com libsasl2-2 debian

    Instalei postfix com sasl atraves do "apt-get install" do debian, mas me esqueci de instalar a biblioteca libsasl2-2 .

    A versao que tenho iinstalada das demais libs é :
    libsasl2 2.1.19.dfsg1-0sarge2 Authentication abstraction library
    libsasl2-modules 2.1.19.dfsg1-0sarge2 Pluggable Authentication Modules

    Verifiquei que esta versao nao existe mais nos repositorios do debian, somente a versao 2.1.22 .

    Ao tentar instalar somente esta lib que falta "apt-get" quer desisntalar o postfix conforme abaixo.

    Como resolvo isto?


    laerciok





    apt-get install libsasl2-2
    Lendo Lista de Pacotes... Pronto
    Construindo Árvore de Dependências... Pronto
    Os pacotes extra a seguir serão instalados:
    e2fslibs e2fsprogs exim4 exim4-base exim4-config exim4-daemon-light initrd-tools libc6 libdb4.3 libdevmapper1.02
    libgcrypt11 libgnutls13 libgpg-error0 libopencdk8 libselinux1 libsepol1 libtasn1-3 locales lsb-base mailx tzdata
    Pacotes sugeridos :
    gpart parted e2fsck-static eximon4 exim4-doc-html exim4-doc-info gnutls-bin libmail-spf-query-perl glibc-doc
    rng-tools
    Pacotes recomendados :
    libtasn1-3-bin
    Os pacotes a seguir serão REMOVIDOS:
    base-config postfix postfix-tls
    Os NOVOS pacotes a seguir serão instalados:
    exim4 exim4-base exim4-config exim4-daemon-light libdb4.3 libdevmapper1.02 libgnutls13 libsasl2-2 libselinux1
    libsepol1 libtasn1-3 tzdata
    Os pacotes a seguir serão atualizados :
    e2fslibs e2fsprogs initrd-tools libc6 libgcrypt11 libgpg-error0 libopencdk8 locales lsb-base mailx
    10 pacotes atualizados, 12 pacotes novos instalados, 3 a serem removidos e 244 não atualizados.
    É preciso fazer o download de 12,8MB/13,0MB de arquivos.
    Depois de desempacotamento, 3772kB adicionais de espaço em disco serão usados.
    Quer continuar? [S/n]n
    Abortado.

  2. #2

    Padrão

    Citação Postado originalmente por laerciok Ver Post
    Instalei postfix com sasl atraves do "apt-get install" do debian, mas me esqueci de instalar a biblioteca libsasl2-2 .

    A versao que tenho iinstalada das demais libs é :
    libsasl2 2.1.19.dfsg1-0sarge2 Authentication abstraction library
    libsasl2-modules 2.1.19.dfsg1-0sarge2 Pluggable Authentication Modules

    Verifiquei que esta versao nao existe mais nos repositorios do debian, somente a versao 2.1.22 .

    Ao tentar instalar somente esta lib que falta "apt-get" quer desisntalar o postfix conforme abaixo.

    Como resolvo isto?


    laerciok





    apt-get install libsasl2-2
    Lendo Lista de Pacotes... Pronto
    Construindo Árvore de Dependências... Pronto
    Os pacotes extra a seguir serão instalados:
    e2fslibs e2fsprogs exim4 exim4-base exim4-config exim4-daemon-light initrd-tools libc6 libdb4.3 libdevmapper1.02
    libgcrypt11 libgnutls13 libgpg-error0 libopencdk8 libselinux1 libsepol1 libtasn1-3 locales lsb-base mailx tzdata
    Pacotes sugeridos :
    gpart parted e2fsck-static eximon4 exim4-doc-html exim4-doc-info gnutls-bin libmail-spf-query-perl glibc-doc
    rng-tools
    Pacotes recomendados :
    libtasn1-3-bin
    Os pacotes a seguir serão REMOVIDOS:
    base-config postfix postfix-tls
    Os NOVOS pacotes a seguir serão instalados:
    exim4 exim4-base exim4-config exim4-daemon-light libdb4.3 libdevmapper1.02 libgnutls13 libsasl2-2 libselinux1
    libsepol1 libtasn1-3 tzdata
    Os pacotes a seguir serão atualizados :
    e2fslibs e2fsprogs initrd-tools libc6 libgcrypt11 libgpg-error0 libopencdk8 locales lsb-base mailx
    10 pacotes atualizados, 12 pacotes novos instalados, 3 a serem removidos e 244 não atualizados.
    É preciso fazer o download de 12,8MB/13,0MB de arquivos.
    Depois de desempacotamento, 3772kB adicionais de espaço em disco serão usados.
    Quer continuar? [S/n]n
    Abortado.

    já tentou isso aqui ...

    aptitude install sasl2-bin libsasl2 libsasl2-modules postfix postfix-tls

    Falow ...



  3. #3

    Padrão

    Nao funcionou pois continua querendo desinstalar pacotes basicos.
    Na verdade o meu problema é de autenticacao com o sasl e procurando achei esta lib faltando, mas pode ser outra coisa.
    Tambem estou pensando em instalar outro kernel, mas nao sei se o problema nao vai continuar.

    O erro é esse:

    Apr 4 23:58:31 localhost postfix/smtpd[22754]: < notebookvpn[192.168.9.2]: bGFlcmNpbw==
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: smtpd_sasl_authenticate: decoded response: laercio
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: smtpd_sasl_authenticate: uncoded challenge: Password:
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: > notebookvpn[192.168.9.2]: 334 UGFzc3dvcmQ6
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: < notebookvpn[192.168.9.2]: Y2FwaXRhbzcy
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: smtpd_sasl_authenticate: decoded response: senhaaqui
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: warning: SASL authentication failure: cannot connect to saslauthd server: Permission denied
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: warning: notebookvpn[192.168.9.2]: SASL LOGIN authentication failed
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: > notebookvpn[192.168.9.2]: 535 Error: authentication failed
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: watchdog_pat: 0x8082b60
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: smtp_get: EOF




    laerciok

  4. #4

    Padrão

    Citação Postado originalmente por laerciok Ver Post
    Nao funcionou pois continua querendo desinstalar pacotes basicos.
    Na verdade o meu problema é de autenticacao com o sasl e procurando achei esta lib faltando, mas pode ser outra coisa.
    Tambem estou pensando em instalar outro kernel, mas nao sei se o problema nao vai continuar.

    O erro é esse:

    Apr 4 23:58:31 localhost postfix/smtpd[22754]: < notebookvpn[192.168.9.2]: bGFlcmNpbw==
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: smtpd_sasl_authenticate: decoded response: laercio
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: smtpd_sasl_authenticate: uncoded challenge: Password:
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: > notebookvpn[192.168.9.2]: 334 UGFzc3dvcmQ6
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: < notebookvpn[192.168.9.2]: Y2FwaXRhbzcy
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: smtpd_sasl_authenticate: decoded response: senhaaqui
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: warning: SASL authentication failure: cannot connect to saslauthd server: Permission denied
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: warning: notebookvpn[192.168.9.2]: SASL LOGIN authentication failed
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: > notebookvpn[192.168.9.2]: 535 Error: authentication failed
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: watchdog_pat: 0x8082b60
    Apr 4 23:58:31 localhost postfix/smtpd[22754]: smtp_get: EOF




    laerciok
    Me diz uma coisa, vc startou o "saslauthd" ?????????

    no fedora ou Rh eu uso ... service saslauthd start

    Falow ...



  5. #5

    Thumbs down

    Sim o saslauthd esta executando conforme abaixo:

    ps -xa | grep sas
    Warning: bad syntax, perhaps a bogus '-'? See procps - Frequently Asked Questions (FAQ)
    22837 ? Ss 0:00 /usr/sbin/saslauthd -a pam shadow
    22838 ? S 0:00 /usr/sbin/saslauthd -a pam shadow
    22839 ? S 0:00 /usr/sbin/saslauthd -a pam shadow
    22840 ? S 0:00 /usr/sbin/saslauthd -a pam shadow
    22841 ? S 0:00 /usr/sbin/saslauthd -a pam shadow

    Veja um detalhe interessante: após a instalacao testei no outlook express e a autenticacao funcionava perfeitamente. Apos reiniciar o servidor nao autentica mais dando o erro que postei anteriormente.


    laerciok

  6. #6

    Padrão

    Citação Postado originalmente por laerciok Ver Post
    Sim o saslauthd esta executando conforme abaixo:

    ps -xa | grep sas
    Warning: bad syntax, perhaps a bogus '-'? See procps - Frequently Asked Questions (FAQ)
    22837 ? Ss 0:00 /usr/sbin/saslauthd -a pam shadow
    22838 ? S 0:00 /usr/sbin/saslauthd -a pam shadow
    22839 ? S 0:00 /usr/sbin/saslauthd -a pam shadow
    22840 ? S 0:00 /usr/sbin/saslauthd -a pam shadow
    22841 ? S 0:00 /usr/sbin/saslauthd -a pam shadow

    Veja um detalhe interessante: após a instalacao testei no outlook express e a autenticacao funcionava perfeitamente. Apos reiniciar o servidor nao autentica mais dando o erro que postei anteriormente.


    laerciok

    tá usando algum antspam ... ?

    Warning: bad syntax, perhaps a bogus

    Falow ...



  7. #7

    Padrão

    Sim

    ps -xa | grep spam
    Warning: bad syntax, perhaps a bogus '-'? See procps - Frequently Asked Questions (FAQ)
    25569 ? Ss 0:03 /usr/sbin/spamd --create-prefs --max-children 5 --helper-home-dir -d --pidfile=/var/run/spamd.pid
    26308 ? S 0:01 spamd child
    26309 ? S 0:01 spamd child
    26310 ? S 0:00 spamd child
    26311 ? S 0:01 spamd child
    26318 ? S 0:00 spamd child
    12648 pts/24 R+ 0:00 grep spam


    laerciok

  8. #8

    Padrão

    Me parece que o problema é de permissao nos diretorios abaixo, mas nao sei a solucao:

    ls -la /var/run/saslauthd/
    total 12
    drwx--x--- 2 root sasl 4096 2007-04-05 10:27 .
    drwxr-xr-x 15 root root 4096 2007-04-05 02:01 ..
    srwxrwxrwx 1 root root 0 2007-04-05 10:27 mux
    -rw------- 1 root root 0 2007-04-05 10:27 mux.accept
    -rw------- 1 root root 6 2007-04-05 10:27 saslauthd.pid



    laerciok